Bug 113818 - cpuspeed init script should load cpufreq_userspace
cpuspeed init script should load cpufreq_userspace
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-18 16:09 EST by Behdad Esfahbod
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 23:05:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Behdad Esfahbod 2004-01-18 16:09:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
There should be a line in /etc/init.d/cpuspeed that loads
cpufreq_userspace.

Also, it's better to change the defaults for this service to off. 
This is the only service I have seen that defaults to on in all
runlevels.  Thanks to the cpufreq_userspace module missing, it was not
actually working without my permission.


Version-Release number of selected component (if applicable):
kernel-utils-2.4-9.1.107.fedora

How reproducible:
Always

Steps to Reproduce:
1. service cpuspeed start
2. ps aux | grep cpuspeed
3.
    

Actual Results:  There is no cpuspeed daemon running.

Expected Results:  There should be cpuspeed daemon running.

Additional info:
Comment 1 Behdad Esfahbod 2004-01-18 23:42:44 EST
It's probably a good idea to set government back to performance on exit.
Comment 2 Dave Jones 2005-04-21 23:05:55 EDT
the default governer in the kernel is set to userspace.

Note You need to log in before you can comment on or make changes to this bug.